"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _ChatConfigurationsContext = require("../../../../context/ChatConfigurationsContext");
var _MessageListContext = require("../../../../context/MessageListContext");
var _SessionContext = require("../../../../context/SessionContext");
var _Icon = _interopRequireDefault(require("../../../Icon"));
var _CloseIcon = _interopRequireDefault(require("../../../../assets/icons/CloseIcon.png"));
var _ResetIcon = _interopRequireDefault(require("../../../../assets/icons/ResetIcon.png"));
var _styles = require("./styles");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function Header() {
  var _chatConfigurations$s;
  const {
    messageList
  } = (0, _MessageListContext.useMessageList)();
  const {
    session
  } = (0, _SessionContext.useSession)();
  const {
    chatConfigurations,
    updateState
  } = (0, _ChatConfigurationsContext.useChatConfigurations)();
  const onClose = () => {
    chatConfigurations.close();
    updateState();
  };
  const onRestartConversation = () => {
    messageList === null || messageList === void 0 ? void 0 : messageList.clearMessages();
    session.clearSession();
  };
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [_styles.styles.container, _styles.styles.wrapper, {
      backgroundColor: (_chatConfigurations$s = chatConfigurations.settings) === null || _chatConfigurations$s === void 0 ? void 0 : _chatConfigurations$s.mainColor
    }]
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: _styles.styles.titleContainer
  }, /*#__PURE__*/_react.default.createElement(_Icon.default, null), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: _styles.styles.title
  }, chatConfigurations.title)), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: _styles.styles.iconsWrapper
  }, /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    testID: "restartConversation",
    onPress: onRestartConversation
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: _styles.styles.iconContainer
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    source: _ResetIcon.default
  }))), /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    testID: "closeChat",
    onPress: onClose
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: _styles.styles.iconContainer
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    source: _CloseIcon.default
  })))));
}
var _default = Header;
exports.default = _default;
//# sourceMappingURL=index.js.map