"use strict";

var _react = _interopRequireDefault(require("react"));
var _reactNative = require("@testing-library/react-native");
var _ = _interopRequireDefault(require("."));
var _constants = require("../../../../constants");
var _ChatConfigurationsContext = require("../../../../context/ChatConfigurationsContext");
var _MessageListContext = require("../../../../context/MessageListContext");
var _SessionContext = require("../../../../context/SessionContext");
var _ChatConfigurations = require("../../../../entities/ChatConfigurations");
var _Session = require("../../../../entities/Session");
var _MessageList = require("../../../../entities/MessageList");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
jest.mock('../../../../context/ChatConfigurationsContext');
jest.mock('../../../../context/SessionContext');
jest.mock('../../../../context/MessageListContext');
describe('Header component', () => {
  beforeAll(() => {
    _ChatConfigurationsContext.useChatConfigurations.mockReturnValue({
      chatConfigurations: new _ChatConfigurations.ChatConfigurations(_constants.initialConfigs.title, _constants.initialConfigs.poweredBy, _constants.initialConfigs.poweredByUrl, _constants.initialConfigs.settings, false),
      updateState: () => {}
    });
    _MessageListContext.useMessageList.mockReturnValue({
      messageList: new _MessageList.MessageList([])
    });
    _SessionContext.useSession.mockReturnValue({
      session: new _Session.Session('')
    });
  });
  it('renders the component with the correct title', () => {
    const {
      getByText
    } = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_.default, null));
    expect(getByText(_constants.initialConfigs.title)).toBeDefined();
  });
  it('calls onClose when close button is clicked', () => {
    const closeSpy = jest.spyOn((0, _ChatConfigurationsContext.useChatConfigurations)().chatConfigurations, 'close');
    const {
      getByTestId
    } = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_.default, null));
    const closeButton = getByTestId('closeChat');
    _reactNative.fireEvent.press(closeButton);
    expect(closeSpy).toHaveBeenCalled();
  });
  it('calls onRestartConversation when restart button is clicked', () => {
    const clearMessagesSpy = jest.spyOn((0, _MessageListContext.useMessageList)().messageList, 'clearMessages');
    const clearSessionSpy = jest.spyOn((0, _SessionContext.useSession)().session, 'clearSession');
    const {
      getByTestId
    } = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_.default, null));
    const restartButton = getByTestId('restartConversation');
    _reactNative.fireEvent.press(restartButton);
    expect(clearMessagesSpy).toHaveBeenCalled();
    expect(clearSessionSpy).toHaveBeenCalled();
  });
});
//# sourceMappingURL=index.spec.js.map