"use strict";

var _ChatConfigurations = require("./ChatConfigurations");
var _initialChatConfigurations = require("../constants/initialChatConfigurations");
const configurations = new _ChatConfigurations.ChatConfigurations(_initialChatConfigurations.initialConfigs.title, _initialChatConfigurations.initialConfigs.poweredBy, _initialChatConfigurations.initialConfigs.poweredByUrl, _initialChatConfigurations.initialConfigs.settings);
describe('ChatConfigurations test suite', () => {
  it('should create configurations object with initial data', () => {
    expect(configurations.isOpen).toBeFalsy();
    expect(configurations.title).toBe(_initialChatConfigurations.initialConfigs.title);
    expect(configurations.poweredBy).toBe(_initialChatConfigurations.initialConfigs.poweredBy);
    expect(configurations.poweredByUrl).toBe(_initialChatConfigurations.initialConfigs.poweredByUrl);
    expect(configurations.settings.mainColor).toBe(_initialChatConfigurations.initialConfigs.settings.mainColor);
    expect(configurations.settings.secondaryColor).toBe(_initialChatConfigurations.initialConfigs.settings.secondaryColor);
    expect(configurations.settings.mainTextColor).toBe(_initialChatConfigurations.initialConfigs.settings.mainTextColor);
    expect(configurations.settings.secondaryTextColor).toBe(_initialChatConfigurations.initialConfigs.settings.secondaryTextColor);
  });
  it('should toggle the chat open', () => {
    configurations.toggleIsOpen();
    expect(configurations.isOpen).toBeTruthy();
    configurations.toggleIsOpen();
    expect(configurations.isOpen).toBeFalsy();
  });
  it('should open the chat', () => {
    configurations.open();
    expect(configurations.isOpen).toBeTruthy();
  });
  it('should close the chat', () => {
    configurations.close();
    expect(configurations.isOpen).toBeFalsy();
  });
});
//# sourceMappingURL=ChatConfigurations.spec.js.map