import React from 'react';
import { View, Image, Text, TouchableOpacity } from 'react-native';
import { useChatConfigurations } from '../../../../context/ChatConfigurationsContext';
import { useMessageList } from '../../../../context/MessageListContext';
import { useSession } from '../../../../context/SessionContext';
import Icon from '../../../Icon';
import closeIcon from '../../../../assets/icons/CloseIcon.png';
import resetIcon from '../../../../assets/icons/ResetIcon.png';
import { styles } from './styles';
function Header() {
  var _chatConfigurations$s;
  const {
    messageList
  } = useMessageList();
  const {
    session
  } = useSession();
  const {
    chatConfigurations,
    updateState
  } = useChatConfigurations();
  const onClose = () => {
    chatConfigurations.close();
    updateState();
  };
  const onRestartConversation = () => {
    messageList === null || messageList === void 0 ? void 0 : messageList.clearMessages();
    session.clearSession();
  };
  return /*#__PURE__*/React.createElement(View, {
    style: [styles.container, styles.wrapper, {
      backgroundColor: (_chatConfigurations$s = chatConfigurations.settings) === null || _chatConfigurations$s === void 0 ? void 0 : _chatConfigurations$s.mainColor
    }]
  }, /*#__PURE__*/React.createElement(View, {
    style: styles.titleContainer
  }, /*#__PURE__*/React.createElement(Icon, null), /*#__PURE__*/React.createElement(Text, {
    style: styles.title
  }, chatConfigurations.title)), /*#__PURE__*/React.createElement(View, {
    style: styles.iconsWrapper
  }, /*#__PURE__*/React.createElement(TouchableOpacity, {
    testID: "restartConversation",
    onPress: onRestartConversation
  }, /*#__PURE__*/React.createElement(View, {
    style: styles.iconContainer
  }, /*#__PURE__*/React.createElement(Image, {
    source: resetIcon
  }))), /*#__PURE__*/React.createElement(TouchableOpacity, {
    testID: "closeChat",
    onPress: onClose
  }, /*#__PURE__*/React.createElement(View, {
    style: styles.iconContainer
  }, /*#__PURE__*/React.createElement(Image, {
    source: closeIcon
  })))));
}
export default Header;
//# sourceMappingURL=index.js.map