import React, { memo } from 'react';
import { Text as P, StyleSheet } from 'react-native';
import { From } from '../../../../../../types/message';
import { useChatConfigurations } from '../../../../../../context/ChatConfigurationsContext';
const Text = msg => {
  const {
    chatConfigurations
  } = useChatConfigurations();
  const styles = StyleSheet.create({
    container: {
      fontSize: 16
    },
    bot: {
      color: chatConfigurations.settings.secondaryTextColor
    },
    user: {
      color: chatConfigurations.settings.mainTextColor
    }
  });
  const isBot = msg.from === From.BOT;
  const textColor = isBot ? styles.bot : styles.user;
  return /*#__PURE__*/React.createElement(P, {
    style: [styles.container, textColor]
  }, msg.message);
};
export default /*#__PURE__*/memo(Text);
//# sourceMappingURL=index.js.map