import React, { useRef } from 'react';
import { FlatList, View } from 'react-native';
import MessageComponent from './components/MessageComponent';
import { useMessageList } from '../../../../context/MessageListContext';
import { styles } from './styles';
const MessageList = () => {
  const {
    messageList
  } = useMessageList();
  const flatlistRef = useRef(null);
  const renderItem = _ref => {
    let {
      item
    } = _ref;
    return /*#__PURE__*/React.createElement(MessageComponent, {
      message: item
    });
  };
  const scrollBottom = () => {
    var _messageList$messages, _flatlistRef$current, _flatlistRef$current$;
    if (messageList !== null && messageList !== void 0 && (_messageList$messages = messageList.messages) !== null && _messageList$messages !== void 0 && _messageList$messages.length) (_flatlistRef$current = flatlistRef.current) === null || _flatlistRef$current === void 0 ? void 0 : (_flatlistRef$current$ = _flatlistRef$current.scrollToEnd) === null || _flatlistRef$current$ === void 0 ? void 0 : _flatlistRef$current$.call(_flatlistRef$current);
  };
  return /*#__PURE__*/React.createElement(View, {
    style: styles.messagesContainer
  }, /*#__PURE__*/React.createElement(FlatList, {
    ref: flatlistRef,
    data: messageList === null || messageList === void 0 ? void 0 : messageList.messages,
    onContentSizeChange: scrollBottom,
    onLayout: scrollBottom,
    renderItem: renderItem,
    keyExtractor: msg => msg.id
  }));
};
export default MessageList;
//# sourceMappingURL=index.js.map