import React, { useState, useEffect } from 'react';
import ChatConfigurationsContextProvider from '../context/ChatConfigurationsContext';
import { Global } from '../global';
import { initialConfigs } from '../constants/initialChatConfigurations';
export const ChatConfigurationsProvider = _ref => {
  let {
    configurations,
    appearance,
    children
  } = _ref;
  const {
    botId
  } = Global;
  const [initialConfigurations, setInitialConfigurations] = useState(initialConfigs);
  useEffect(() => {
    const getInitialStyles = async () => {
      var _appearance$settings, _appearance$settings2, _appearance$settings3, _appearance$settings4;
      const chatConfigs = await configurations.getStyles(botId);
      setInitialConfigurations({
        ...chatConfigs,
        settings: {
          ...chatConfigs.settings,
          botFab: (appearance === null || appearance === void 0 ? void 0 : (_appearance$settings = appearance.settings) === null || _appearance$settings === void 0 ? void 0 : _appearance$settings.botFab) || chatConfigs.settings.botFab,
          mainColor: (appearance === null || appearance === void 0 ? void 0 : appearance.settings.mainColor) || chatConfigs.settings.mainColor,
          secondaryColor: (appearance === null || appearance === void 0 ? void 0 : (_appearance$settings2 = appearance.settings) === null || _appearance$settings2 === void 0 ? void 0 : _appearance$settings2.secondaryColor) || chatConfigs.settings.secondaryColor,
          mainTextColor: (appearance === null || appearance === void 0 ? void 0 : (_appearance$settings3 = appearance.settings) === null || _appearance$settings3 === void 0 ? void 0 : _appearance$settings3.mainTextColor) || chatConfigs.settings.mainTextColor,
          secondaryTextColor: (appearance === null || appearance === void 0 ? void 0 : (_appearance$settings4 = appearance.settings) === null || _appearance$settings4 === void 0 ? void 0 : _appearance$settings4.secondaryTextColor) || chatConfigs.settings.secondaryTextColor
        }
      });
    };
    getInitialStyles();
  }, [botId]);
  return /*#__PURE__*/React.createElement(ChatConfigurationsContextProvider, {
    initialChatConfigurations: initialConfigurations
  }, children);
};
//# sourceMappingURL=ChatConfigurationsProvider.js.map